import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3-shape'; 

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 10;
const eyeOffsetX = 100;
const eyeOffsetY = 70;
const eyeRadius = 40;

const arc = d3.arc()
    .innerRadius(0)
    .outerRadius(100)
    .startAngle(0)
    .endAngle(Math.PI / 2);

const App = () => (
    <svg width={width} height={height}>
    	<circle 
        cx={centerX}
        cy={centerY}
        r={centerY - (strokeWidth / 2)}
        fill="yellow"
        stroke="black"
        strokeWidth={strokeWidth}
      />
    	<circle 
        cx={centerX - eyeOffsetX}
        cy={centerY - eyeOffsetY}
        r={eyeRadius}
			/>
      <circle 
        cx={centerX + eyeOffsetX}
        cy={centerY - eyeOffsetY}
        r={eyeRadius}
      />
    </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);